class
	AST_BOOLEAN_CONSTANT

inherit
	AST_EXPRESSION

create
	make,
	make_copy

feature {NONE}

	make (a_value: BOOLEAN)
		do
			value := a_value
		end

feature {ANY}

	value: BOOLEAN assign set_value

	set_value (a_value: BOOLEAN)
		do
			value := a_value
		end

	type_binding: AST_TYPE
		once ("OBJECT")
			Result := create {AST_BASIC_TYPE}.make (Ast_bt_bool)
		end

feature {ANY} -- AST_NODE

	accept (v: AST_VISITOR)
		local
			visit_children: BOOLEAN
		do
			v.pre_visit (Current)
			visit_children := v.visit_boolean_constant (Current)
			if visit_children then
				-- no children...
			end
			v.end_visit_boolean_constant (Current)
			v.post_visit (Current)
		end

	ast_twin: like Current
		do
			create Result.make_copy (Current)
		end

	make_copy (other: like Current)
		do
			value := other.value
		end

end
