class
	HASH_SET_ITERATION_CURSOR [G -> HASHABLE]

inherit
	ITERATION_CURSOR [G]

create
	make

feature {NONE}

	hash_table_iteration_cursor: HASH_TABLE_ITERATION_CURSOR [ANY, G]

	make (a_hash_set: HASH_SET [G])
		do
			create hash_table_iteration_cursor.make (a_hash_set.hash_table)
		end

feature {ANY}

	item: G
		do
			Result := hash_table_iteration_cursor.key
		end

	after: BOOLEAN
		do
			Result := hash_table_iteration_cursor.after
		end

	start
		do
			hash_table_iteration_cursor.start
		end

	forth
		do
			hash_table_iteration_cursor.forth
		end

end
